BSH(1)

NAME
bsh - BeanShell: A Java scripting environment (command-line version).

SYNOPSIS
bsh [-classpath path] [file]

DESCRIPTION
BeanShell is a small, embeddable, Java source interpreter with object scripting language features, written in Java. BeanShell executes standard Java statements and expressions, in addition to obvious scripting commands and syntax. You can also script objects as simple method closures like those in Perl and JavaScript(tm). bsh starts the command-line version of BeanShell.

OPTIONS
The program bsh optionally takes a -classpath option which sets the value of the CLASSPATH environment variable to the specified path before starting the BeanShell. This option is mainly provided for compatibility with JDE (Java Development Environment for Emacs). In addition, a file to be executed may be given as argument to bsh.

SEE ALSO
xbsh - the windowed version of BeanShell. More documentation on BeanShell can be found in /usr/share/doc/bsh-doc/ if the bsh-doc package is installed.

AUTHOR
This manual page was written by Ruud de Rooij <ruud@debian.org> for the Debian GNU/Linux system (but may be used by others).